package com.qmth.teachcloud.report.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 维度info result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/10
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class DimensionInfoResult implements Serializable {

    @ApiModelProperty(value = "维度编码")
    private String dimensionCode;

    @ApiModelProperty(value = "维度名称")
    private String dimensionName;

    @ApiModelProperty(value = "统计")
    private String totalCount;

    @ApiModelProperty(value = "学校得分率")
    private String schScoreRate;

    @ApiModelProperty(value = "学院得分率")
    private String colScoreRate;

    @ApiModelProperty(value = "教师得分率")
    private String teaScoreRate;

    @ApiModelProperty(value = "难度")
    private Double degree;

    public DimensionInfoResult() {

    }

    public DimensionInfoResult(String dimensionCode, String dimensionName, String totalCount, String schScoreRate, String colScoreRate, String teaScoreRate, Double degree) {
        this.dimensionCode = dimensionCode;
        this.dimensionName = dimensionName;
        this.totalCount = totalCount;
        this.schScoreRate = schScoreRate;
        this.colScoreRate = colScoreRate;
        this.teaScoreRate = teaScoreRate;
        this.degree = degree;
    }

    public DimensionInfoResult(String dimensionCode, String dimensionName) {
        this.dimensionCode = dimensionCode;
        this.dimensionName = dimensionName;
    }

    public DimensionInfoResult(String dimensionCode, String dimensionName, String totalCount, Double degree, String colScoreRate) {
        this.dimensionCode = dimensionCode;
        this.dimensionName = dimensionName;
        this.totalCount = totalCount;
        this.degree = degree;
        this.colScoreRate = colScoreRate;
    }

    public Double getDegree() {
        return degree;
    }

    public void setDegree(Double degree) {
        this.degree = degree;
    }

    public String getDimensionCode() {
        return dimensionCode;
    }

    public void setDimensionCode(String dimensionCode) {
        this.dimensionCode = dimensionCode;
    }

    public String getDimensionName() {
        return dimensionName;
    }

    public void setDimensionName(String dimensionName) {
        this.dimensionName = dimensionName;
    }

    public String getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(String totalCount) {
        this.totalCount = totalCount;
    }

    public String getSchScoreRate() {
        return schScoreRate;
    }

    public void setSchScoreRate(String schScoreRate) {
        this.schScoreRate = schScoreRate;
    }

    public String getColScoreRate() {
        return colScoreRate;
    }

    public void setColScoreRate(String colScoreRate) {
        this.colScoreRate = colScoreRate;
    }

    public String getTeaScoreRate() {
        return teaScoreRate;
    }

    public void setTeaScoreRate(String teaScoreRate) {
        this.teaScoreRate = teaScoreRate;
    }
}
